<?php

declare(strict_types=1);

namespace App\Administration\Application\Query\GetAssignment;

final readonly class GetAssignmentQuery
{
    public function __construct(
        public string $teacherId,
        public string $classId,
        public string $subjectId,
        public string $academicYearId,
        public string $tenantId,
    ) {
    }
}
